
package com.tmerclub.cloud.user.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 用户成长值记录VO
 *
 * @author YXF
 * @date 2020-12-08 10:16:53
 */
public class UserGrowthLogVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "成长值获取记录表")
    private Long logId;

    @Schema(description = "用户id")
    private Long userId;

    @Schema(description = "来源 1 订单")
    private Integer source;

    @Schema(description = "关联业务id")
    private Long bizId;

    @Schema(description = "变更成长值")
    private Integer changeGrowth;

    @Schema(description = "备注")
    private String remarks;

    public Long getLogId() {
        return logId;
    }

    public void setLogId(Long logId) {
        this.logId = logId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Integer getSource() {
        return source;
    }

    public void setSource(Integer source) {
        this.source = source;
    }

    public Long getBizId() {
        return bizId;
    }

    public void setBizId(Long bizId) {
        this.bizId = bizId;
    }

    public Integer getChangeGrowth() {
        return changeGrowth;
    }

    public void setChangeGrowth(Integer changeGrowth) {
        this.changeGrowth = changeGrowth;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    @Override
    public String toString() {
        return "UserGrowthLogVO{" +
                "logId=" + logId +
                ",createTime=" + createTime +
                ",updateTime=" + updateTime +
                ",userId=" + userId +
                ",source=" + source +
                ",bizId=" + bizId +
                ",changeGrowth=" + changeGrowth +
                ",remarks=" + remarks +
                '}';
    }
}
